# Information Schema INNODB\_SYS\_COLUMNS Table

The [Information Schema](https://mariadb.com/docs/server/reference/system-tables/information-schema) `INNODB_SYS_COLUMNS` table contains information about InnoDB fields.

The `PROCESS` [privilege](https://mariadb.com/docs/server/reference/sql-statements/account-management-sql-statements/grant) is required to view the table.

It has the following columns:

| Column    | Description                                                                                                                                                                                                                                                  |
| --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| TABLE\_ID | Table identifier, matching the value from [INNODB\_SYS\_TABLES.TABLE\_ID](https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-innodb-tables/information-schema-innodb_sys_tables-table). |
| NAME      | Column name.                                                                                                                                                                                                                                                 |
| POS       | Ordinal position of the column in the table, starting from 0. This value is adjusted when columns are added or removed.                                                                                                                                      |
| MTYPE     | Numeric column type identifier, (see the table below for an explanation of its values).                                                                                                                                                                      |
| PRTYPE    | Binary value of the InnoDB precise type, representing the data type, character set code and nullability.                                                                                                                                                     |
| LEN       | Column length. For multi-byte character sets, represents the length in bytes.                                                                                                                                                                                |

The column `MTYPE` uses a numeric column type identifier, which has the following values:

| Column Type Identifier | Description                                                                                |
| ---------------------- | ------------------------------------------------------------------------------------------ |
| 1                      | [VARCHAR](https://mariadb.com/docs/server/reference/data-types/string-data-types/varchar)  |
| 2                      | [CHAR](https://mariadb.com/docs/server/reference/data-types/string-data-types/char)        |
| 3                      | FIXBINARY                                                                                  |
| 4                      | [BINARY](https://mariadb.com/docs/server/reference/data-types/string-data-types/binary)    |
| 5                      | [BLOB](https://mariadb.com/docs/server/reference/data-types/string-data-types/blob)        |
| 6                      | [INT](https://mariadb.com/docs/server/reference/data-types/numeric-data-types/int)         |
| 7                      | SYS\_CHILD                                                                                 |
| 8                      | SYS                                                                                        |
| 9                      | [FLOAT](https://mariadb.com/docs/server/reference/data-types/numeric-data-types/float)     |
| 10                     | [DOUBLE](https://mariadb.com/docs/server/reference/data-types/numeric-data-types/double)   |
| 11                     | [DECIMAL](https://mariadb.com/docs/server/reference/data-types/numeric-data-types/decimal) |
| 12                     | VARMYSQL                                                                                   |
| 13                     | MYSQL                                                                                      |

## Example

```sql
SELECT * FROM information_schema.INNODB_SYS_COLUMNS LIMIT 3\G
*************************** 1. row ***************************
TABLE_ID: 11
    NAME: ID
     POS: 0
   MTYPE: 1
  PRTYPE: 524292
     LEN: 0
*************************** 2. row ***************************
TABLE_ID: 11
    NAME: FOR_NAME 
     POS: 0
   MTYPE: 1
  PRTYPE: 524292
    LEN: 0
*************************** 3. row ***************************
TABLE_ID: 11
    NAME: REF_NAME 
     POS: 0
   MTYPE: 1
  PRTYPE: 524292
     LEN: 0
3 rows in set (0.00 sec)
```

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-innodb-tables/information-schema-innodb_sys_columns-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
